import React from 'react';

import { HelpDialog as _HelpDialog } from '@@panelComponents';

const msgGroups = [
  [
    `トレインナイトに関する情報を管理・編集するパネルです。`,
    `各キャラクターのベース登録後、そのベースに付随するレイヤーを登録してください。各情報は登録後に入力・編集可能となります。`,
    '　',
    `レイヤー加算値やレイヤーステータス等、他の情報に値が依存する項目は、依存先項目の変更に伴って自動的に値が更新されます。` +
      `ただし、レイヤー補正係数のみ独立した入力欄となっていることにご注意ください。` +
      `これは各種レベルにおける補正係数の上昇幅がレイヤー毎に異なることから、レベル値に連動させるためにパラメータを増やすよりも、現在値をそれぞれ直接入力したほうが利便性が高いとの判断に基づくものです。`,
    '　',
    `スキルやアビリティ等を設定する際は、予め対応するパネルで情報登録されたデータが各プルダウンに表示される他、任意の文字列を直接入力することも可能です。` +
      `このようにプルダウンメニューが存在する項目については、いずれかのオプションの選択、あるいはEnterキーの押下にて入力決定となります。`,
    `純粋なテキストおよび数値入力については入力時点で値が決定されます。`,
  ],
  [
    `『ミストトレインガールズ～霧の世界の車窓から～』は合同会社EXNOAおよび株式会社KMSにより開発・運営されるオンラインRPGであり、` +
      `合同会社EXNOAの登録商標です。当ソフトウェアが引用するゲーム関連画像および固有名称等は全て権利者に帰属します。`,
  ],
];

const HelpDialog: React.FC = () => {
  return <_HelpDialog msgGroups={msgGroups} title="キャラクター管理" />;
};

export default HelpDialog;
